Name: linux-eoip
Summary: Linux support for Mikrotik EoIP protocol
Version: 0.5
Release: 1%{?dist}
Group: System Environment/Daemons
License: GPLv2
URL: https://linux-eoip.googlecode.com
Source0: https://linux-eoip.googlecode.com/files/%{name}-%{version}.tgz

BuildRequires: systemd systemd-units
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
Ethernet over IP (EoIP) Tunneling is a MikroTik RouterOS protocol
that creates an Ethernet tunnel between two routers on top of an IP
connection. The EoIP tunnel may run over an IPsec, IPIP, PPTP tor any
other tunnel connection capable of transporting IP.  When the bridging
function of the router is enabled, all Ethernet traffic (all Ethernet
protocols) will be bridged just as if there where a physical Ethernet
interface and cable between the two routers (with bridging enabled). 

%prep
%setup -q

%build
# for snapshots only ./bootstrap.sh
%configure --sysconfdir=%{_sysconfdir}/eoip
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
install -Dpm 0644 eoip.cfg %{buildroot}%{_sysconfdir}/eoip/eoip.cfg

%files
%doc
%attr(0755,root,root) %{_prefix}/bin/eoip
%attr(0755,root,root) %{_prefix}/bin/vip
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/eoip/eoip.cfg

%changelog
* Fri Jan 29 2016 Paul Wouters <pwouters@redhat.com> - 0.5-1
- Initial package
